import ChatbotUI from './ui.js';
import ChatbotBackend from './backend.js';

(function () {
    const scriptElement = document.getElementById('otemate_chat');
    const chatbotId = scriptElement.getAttribute('data-otemate-chat-id');

    if (!chatbotId) return;

    const ui = new ChatbotUI(chatbotId);
    const backend = new ChatbotBackend(chatbotId);

    backend.fetchChatbotDetails().then(chatbotDetails => {

        if (chatbotDetails.session_id) {
            localStorage.setItem('otemateSessionId', chatbotDetails.session_id);
        }

        ui.init(chatbotDetails.chatbot);

        // Event listeners after UI is initialized
        ui.setupSendMessage(() =>
            backend.sendMessage(
                ui.getChatInput(),
                ui.showBotResponse,
                ui.disableSendButton,
                ui.enableSendButton
            )
        );
    }).catch(error => {
        console.error('Error initializing chatbot:', error);
    });
    
})();
